Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233194 - xine-lib not compiled with Freetype support
Summary: xine-lib not compiled with Freetype support
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xine-lib
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-20 20:22 UTC by Bastien Nocera
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-22 06:46:59 UTC


Attachments (Terms of Use)

Description Bastien Nocera 2007-03-20 20:22:39 UTC
This means that xine-lib can't load fonts listed in Fontconfig (such as the
user's Truetype fonts).

You'll probably want to include 2 of the patches at:
http://xine.cvs.sourceforge.net/xine/xine-lib/src/xine-engine/osd.c?view=log
Revision 1.85 and 1.86

http://xine.cvs.sourceforge.net/xine/xine-lib/src/xine-engine/osd.c?r1=1.84&r2=1.85
http://xine.cvs.sourceforge.net/xine/xine-lib/src/xine-engine/osd.c?r1=1.85&r2=1.86

Comment 1 Ville Skyttä 2007-03-20 22:52:42 UTC
After playing with a bit with various combinations of --with-freetype,
--with-fontconfig and --enable-antialiasing, my humble opinion is that these
options are not ready for prime time (and I guess upstream agrees as none of
them are enabled by default).  I couldn't find a font with which I could get
even acceptably readable subtitles, let alone better looking ones than the
non-freetype ones.  Enabling freetype/fontconfig seems to also screw xine-lib so
that the regular non-freetype fonts that come with it can no longer be selected.

The results I got with freetype/fontconfig looked somewhat like as in
http://farragut.flameeyes.is-a-geek.org/articles/2006/9 , but even less pretty.

I still have the updated package in my working dir and can commit it (making
ft/fontconfig build time optional, disabled by default) if there is demand. 
Aurelien, thoughts?

Comment 2 Aurelien Bompard 2007-03-22 06:46:59 UTC
I'd vote for staying as close to upstream as possible. If they think it's not
ready to be enabled by default, let's just wait till it's done.

Comment 3 Ville Skyttä 2007-03-26 19:58:01 UTC
Since I had the changes around already, I added the --with freetype and --with
antialiasing (both disabled by default) build time flags in 1.1.4-4 in devel.


Note You need to log in before you can comment on or make changes to this bug.